Index: /trunk/DOC/TexFiles/Namelist/namagrif
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namagrif	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namagrif	(revision 2540)
@@ -2,7 +2,7 @@
 &namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
-    nn_cln_update = 3      !  baroclinic update frequency
-    ln_spc_dyn    = .true. !  use 0 as special value for dynamics
-    rn_sponge_tra = 2880.  !  coefficient for tracer   sponge layer [s]
-    rn_sponge_dyn = 2880.  !  coefficient for dynamics sponge layer [s]
+   nn_cln_update =    3    !  baroclinic update frequency
+   ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
+   rn_sponge_tra = 2880.   !  coefficient for tracer   sponge layer [m2/s]
+   rn_sponge_dyn = 2880.   !  coefficient for dynamics sponge layer [m2/s]
 /
Index: /trunk/DOC/TexFiles/Namelist/namasm
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namasm	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namasm	(revision 2540)
@@ -1,19 +1,19 @@
 !-----------------------------------------------------------------------
-&namasm_inc    !   Assimilation increments                               ("key_asminc")
+&nam_asminc   !   assimilation increments                               ('key_asminc')
 !-----------------------------------------------------------------------
-   ln_bkgwri   = .false.   ! write out background state (T) or not (F)
-   ln_trjwri   = .false.   ! write out state trajectory (T) or not (F)
-   ln_trainc   = .true.   ! apply tracer increments (T) or not (F)
-   ln_dyninc   = .true.   ! apply velocity increments (T) or not (F)
-   ln_sshinc   = .true.   ! applying SSH increments  (T) or not (F)
-   ln_asmdin   = .false.   ! DI: Direct Initialization (T) or not (F)
-   ln_asmiau   = .true.   ! IAU: Incremental Analysis Updating (T) or not (F)
-   nitbkg      =  0        ! timestep of background in [0,nitend-nit000-1]
-   nitdin      =  0        ! timestep of background for DI in [0,nitend-nit000-1]
-   nitiaustr   =  1        ! timestep of start of IAU interval in [0,nitend-nit000-1]
-   nitiaufin   = 15        ! timestep of end of IAU interval in [0,nitend-nit000-1]
-   niaufn      =  0        ! type of IAU weighting function
-   nittrjfrq   =  0        ! frequency of trajectory output for 4D-VAR
-   ln_salfix   = .false.   ! ensure that the sa > salfixmin (T) or not (F)
-   salfixmin   = -9999     ! Minimum salinity after applying the increments
+    ln_bkgwri = .false.    !  Logical switch for writing out background state 
+    ln_trjwri = .false.    !  Logical switch for writing out state trajectory
+    ln_trainc = .false.    !  Logical switch for applying tracer increments
+    ln_dyninc = .false.    !  Logical switch for applying velocity increments
+    ln_sshinc = .false.    !  Logical switch for applying SSH increments 
+    ln_asmdin = .false.    !  Logical switch for Direct Initialization (DI)
+    ln_asmiau = .false.    !  Logical switch for Incremental Analysis Updating (IAU)
+    nitbkg    = 0          !  Timestep of background in [0,nitend-nit000-1]
+    nitdin    = 0          !  Timestep of background for DI in [0,nitend-nit000-1]
+    nitiaustr = 1          !  Timestep of start of IAU interval in [0,nitend-nit000-1]
+    nitiaufin = 15         !  Timestep of end of IAU interval in [0,nitend-nit000-1]
+    niaufn    = 0          !  Type of IAU weighting function
+    nittrjfrq = 0          !  Frequency of trajectory output for 4D-VAR
+    ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
+    salfixmin = -9999      !  Minimum salinity after applying the increments
 /
Index: /trunk/DOC/TexFiles/Namelist/nambbl
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nambbl	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nambbl	(revision 2540)
@@ -6,3 +6,3 @@
    rn_ahtbbl   =  1000.  !  lateral mixing coefficient in the bbl  [m2/s]
    rn_gambbl   =  10.    !  advective bbl coefficient                 [s]
-   /
+/
Index: /trunk/DOC/TexFiles/Namelist/nambdy
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nambdy	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nambdy	(revision 2540)
@@ -2,21 +2,23 @@
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
-   cn_mask       =  ''                    !  name of mask file (if ln_bdy_mask=.TRUE.)
-   cn_dta_frs_T  = 'bdydata_grid_T.nc'    !  name of data file (T-points)
-   cn_dta_frs_U  = 'bdydata_grid_U.nc'    !  name of data file (U-points)
-   cn_dta_frs_V  = 'bdydata_grid_V.nc'    !  name of data file (V-points)
-   cn_dta_fla_T  = 'bdydata_bt_grid_T.nc' !  name of data file for Flather condition (T-points)
-   cn_dta_fla_U  = 'bdydata_bt_grid_U.nc' !  name of data file for Flather condition (U-points)
-   cn_dta_fla_V  = 'bdydata_bt_grid_V.nc' !  name of data file for Flather condition (V-points)
-   ln_clim       = .false.                !  contain 1 (T) or 12 (F) time dumps and be cyclic
-   ln_vol        = .true.                 !  total volume correction (see volbdy parameter)
-   ln_mask       = .false.                !  boundary mask from filbdy_mask (T) or boundaries on edges of domain (F)
-   ln_tides      = .true.                 !  Apply tidal harmonic forcing with Flather condition
-   ln_dyn_fla    = .true.                 !  Apply Flather condition to velocities
-   ln_tra_frs    = .false.                !  Apply FRS condition to temperature and salinity 
-   ln_dyn_frs    = .false.                !  Apply FRS condition to velocities
-   nn_rimwidth   =  9                     !  width of the relaxation zone
-   nn_dtactl     =  1                     !  bdy data read in 'bdydata_...nc' (=1) or set to the initial state (=0)
-   nn_volctl     =  0                     !  set to zero the net flux across open boundaries (=0) including E-P-R (=1)
+   cn_mask     =  ''                     !  name of mask file (ln_mask=T)
+   cn_dta_frs_T= 'bdydata_grid_T.nc'     !  name of data file (T-points)
+   cn_dta_frs_U= 'bdydata_grid_U.nc'     !  name of data file (U-points)
+   cn_dta_frs_V= 'bdydata_grid_V.nc'     !  name of data file (V-points)
+   cn_dta_fla_T= 'bdydata_bt_grid_T.nc'  !  name of data file for Flather condition (T-points)
+   cn_dta_fla_U= 'bdydata_bt_grid_U.nc'  !  name of data file for Flather condition (U-points)
+   cn_dta_fla_V= 'bdydata_bt_grid_V.nc'  !  name of data file for Flather condition (V-points)
+
+   ln_clim     = .false.   !  contain 1 (T) or 12 (F) time dumps and be cyclic
+   ln_vol      = .false.   !  total volume correction (see volbdy parameter)
+   ln_mask     = .false.   !  boundary mask from filbdy_mask (T), boundaries are on edges of domain (F)
+   ln_tides    = .false.   !  Apply tidal harmonic forcing with Flather condition
+   ln_dyn_fla  = .false.   !  Apply Flather condition to velocities
+   ln_tra_frs  = .false.   !  Apply FRS condition to temperature and salinity 
+   ln_dyn_frs  = .false.   !  Apply FRS condition to velocities
+   nn_rimwidth =  9        !  width of the relaxation zone
+   nn_dtactl   =  1        !  = 0, bdy data are equal to the initial state
+                           !  = 1, bdy data are read in 'bdydata   .nc' files
+   nn_volctl   =  0        !  = 0, the total water flux across open boundaries is zero
+                           !  = 1, the total volume of the system is conserved
 /
-
Index: /trunk/DOC/TexFiles/Namelist/nambdy_tide
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nambdy_tide	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nambdy_tide	(revision 2540)
@@ -1,8 +1,8 @@
 !-----------------------------------------------------------------------
-&nambdy_tide     ! tidal forcing at unstructured boundaries              
+&nambdy_tide   !  tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
-    filtide      = 'bdytide_'           !  file name root of tidal forcing files
-    tide_cpt     = 'M2','S1'            !  names of tidal components used
-    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
+   filtide     = 'bdytide_'           !  file name root of tidal forcing files
+   tide_cpt    = 'M2','S1'            !  names of tidal components used
+   tide_speed  = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+   ln_tide_date= .false.              !  adjust tidal harmonics for start date of run
 /
Index: /trunk/DOC/TexFiles/Namelist/nambfr
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nambfr	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nambfr	(revision 2540)
@@ -2,10 +2,10 @@
 &nambfr        !   bottom friction
 !-----------------------------------------------------------------------
-   nn_bfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
-                           !                              = 3 : free slip,  = 1 :    linear friction
+   nn_bfr      =    1      !  type of bottom friction :   = 0 : free slip,  = 1 : linear friction
+                           !                              = 2 : nonlinear friction
    rn_bfri1    =    4.e-4  !  bottom drag coefficient (linear case)
    rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case)
-   rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
-   ln_bfr2d    =   .false. !  horizontal variation of the bottom friction coef (read a 2D mask file )
-   rn_bfrien   =    50.    !  local multiplying factor of bfr (ln_bfr2d = .true.)
+   rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m2/s2)
+   ln_bfr2d    = .false.   !  horizontal variation of the bottom friction coef (read a 2D mask file )
+   rn_bfrien   =    50.    !  local multiplying factor of bfr (ln_bfr2d=T)
 /
Index: /trunk/DOC/TexFiles/Namelist/namcla
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namcla	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namcla	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namctl
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namctl	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namctl	(revision 2540)
@@ -2,15 +2,13 @@
 &namctl        !   Control prints & Benchmark
 !-----------------------------------------------------------------------
+   ln_ctl      = .false.   !  trends control print (expensive!)
    nn_print    =    0      !  level of print (0 no extra print)
+   nn_ictls    =    0      !  start i indice of control sum (use to compare mono versus
+   nn_ictle    =    0      !  end   i indice of control sum        multi processor runs
+   nn_jctls    =    0      !  start j indice of control               over a subdomain)
+   nn_jctle    =    0      !  end   j indice of control
+   nn_isplt    =    1      !  number of processors in i-direction
+   nn_jsplt    =    1      !  number of processors in j-direction
    nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
                            !     (no physical validity of the results)
-   nn_bit_cmp  =    0      !  bit comparison mode (1/0): CAUTION use zero except for test
-                           !     of comparison between single and multiple processor runs
-   ln_ctl      = .false.   !  trends control print (expensive!)
-   nn_ictls    =    0           !  start i indice of control sum (use to compare mono versus
-   nn_ictle    =    0           !  end   i indice of control sum        multi processor runs
-   nn_jctls    =    0           !  start j indice of control               over a subdomain)
-   nn_jctle    =    0           !  end   j indice of control
-   nn_isplt    =    1           !  number of processors in i-direction
-   nn_jsplt    =    1           !  number of processors in j-direction
 /
Index: /trunk/DOC/TexFiles/Namelist/namdom
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdom	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namdom	(revision 2540)
@@ -2,17 +2,18 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   nn_bathy    =    1      !  compute (=0) or read(=1) the bathymetry file
-   nn_closea   =    0      !  closed seas and lakes are removed (=0) or kept (=1) from the ORCA domain
-   nn_msh      =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
-   rn_e3zps_min=   20.     !  the thickness of the partial step is set larger than the minimum
-   rn_e3zps_rat=    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+   nn_bathy    =    1      !  compute (=0) or read (=1) the bathymetry file
+   nn_closea    =   0      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   nn_msh      =    0      !  create (=1) a mesh file or not (=0)
+   rn_hmin     =   -3.     !  min depth of the ocean (>0) or min number of ocean level (<0)
+   rn_e3zps_min=   20.     !  partial step thickness is set larger than the minimum of
+   rn_e3zps_rat=    0.1    !  rn_e3zps_min and rn_e3zps_rat*e3t, with 0<rn_e3zps_rat<1
                            !
-   rn_rdt      = 5760.     !  time step for the dynamics (and tracer if nacc=0)   ==> 5760
-   nn_baro     =   64      !  number of barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   rn_rdt      = 5760.     !  time step for the dynamics (and tracer if nn_acc=0)
+   nn_baro     =   64      !  number of barotropic time step            ("key_dynspg_ts")
    rn_atfp     =    0.1    !  asselin time filter parameter
    nn_acc      =    0      !  acceleration of convergence : =1      used, rdt < rdttra(k)
                                  !                          =0, not used, rdt = rdttra
-   rn_rdtmin   = 28800.          !  minimum time step on tracers (used if nacc=1)
-   rn_rdtmax   = 28800.          !  maximum time step on tracers (used if nacc=1)
-   rn_rdth     =  800.           !  depth variation of tracer time step  (used if nacc=1)
+   rn_rdtmin   = 28800.          !  minimum time step on tracers (used if nn_acc=1)
+   rn_rdtmax   = 28800.          !  maximum time step on tracers (used if nn_acc=1)
+   rn_rdth     =  800.           !  depth variation of tracer time step  (used if nn_acc=1)
 /
Index: /trunk/DOC/TexFiles/Namelist/namdta_sal
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdta_sal	(revision 2540)
+++ /trunk/DOC/TexFiles/Namelist/namdta_sal	(revision 2540)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namdta_sal    !   data : salinity                                      ("key_dtasal")
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
+!              !           !  (if <0  months)     !   name   !   (logical)  ! (T/F) ! 'monthly'  ! filename ! pairing  !
+   sn_sal      =  'data_1m_salinity_nomask',  -1  ,'vosaline',    .true.    , .true., 'yearly'   , ''       , ' '
+   !
+   cn_dir      = './'      !  root directory for the location of the runoff files
+/
Index: /trunk/DOC/TexFiles/Namelist/namdta_tem
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdta_tem	(revision 2540)
+++ /trunk/DOC/TexFiles/Namelist/namdta_tem	(revision 2540)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namdta_tem    !   data : temperature                                   ("key_dtatem")
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
+!              !           !  (if <0  months)     !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
+   sn_tem = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.  , .true., 'yearly'   , ' '      , ' '
+   !
+   cn_dir       = './'     !  root directory for the location of the runoff files
+/
Index: /trunk/DOC/TexFiles/Namelist/namdyn_adv
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdyn_adv	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namdyn_adv	(revision 2540)
@@ -5,3 +5,3 @@
    ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
    ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
-/
+/  
Index: /trunk/DOC/TexFiles/Namelist/namdyn_hpg
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdyn_hpg	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namdyn_hpg	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namdyn_ldf
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdyn_ldf	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namdyn_ldf	(revision 2540)
@@ -2,13 +2,13 @@
 &namdyn_ldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
-                           !  Type of the operator : 
+   !                       !  Type of the operator : 
    ln_dynldf_lap    =  .true.   !  laplacian operator         
    ln_dynldf_bilap  =  .false.  !  bilaplacian operator    
-                           !  Direction of action  : 
+   !                       !  Direction of action  : 
    ln_dynldf_level  =  .false.  !  iso-level               
    ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
    ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
-                           !  Coefficient
-   rn_ahm_0         =    40.e3  !  horizontal eddy viscosity   [m2/s]
+   !                       !  Coefficient
+   rn_ahm_0_lap     = 40000.    !  horizontal laplacian eddy viscosity   [m2/s]
    rn_ahmb_0        =     0.    !  background eddy viscosity for ldf_iso [m2/s]
    rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s] 
Index: /trunk/DOC/TexFiles/Namelist/namdyn_spg
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdyn_spg	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namdyn_spg	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namdyn_vor
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namdyn_vor	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namdyn_vor	(revision 2540)
@@ -2,7 +2,7 @@
 &namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .false. !  energy conserving scheme 
-   ln_dynvor_mix = .false. !  mixed scheme   
-   ln_dynvor_een = .true.  !  energy & enstrophy scheme
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme  
+   ln_dynvor_ens = .false. !  energy conserving scheme    
+   ln_dynvor_mix = .false. !  mixed scheme               
+   ln_dynvor_een = .true.  !  energy & enstrophy scheme  
 /
Index: /trunk/DOC/TexFiles/Namelist/nameos
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nameos	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nameos	(revision 2540)
@@ -2,9 +2,9 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   nn_eos      =    0      !  type of equation of state and Brunt-Vaisala frequency
+   nn_eos      =   0       !  type of equation of state and Brunt-Vaisala frequency
                            !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
                            !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
                            !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-   rn_alpha    =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
-   rn_beta     =    0.001  !  saline  expension coefficient (neos= 2)
+   rn_alpha    =   2.0e-4  !  thermal expension coefficient (nn_eos= 1 or 2)
+   rn_beta     =   7.7e-4  !  saline  expension coefficient (nn_eos= 2)
 /
Index: /trunk/DOC/TexFiles/Namelist/namflo
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namflo	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namflo	(revision 2540)
@@ -2,9 +2,9 @@
 &namflo       !   float parameters                                      ("key_float")
 !-----------------------------------------------------------------------
-    ln_rstflo = .false.    !  float restart (T) or not (F)
-    nn_writefl=      75    !  frequency of writing in float output file 
-    nn_stockfl=    5475    !  frequency of creation of the float restart file 
-    ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
-    ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+   ln_rstflo  = .false.    !  float restart (T) or not (F)
+   nn_writefl =      75    !  frequency of writing in float output file 
+   nn_stockfl =    5475    !  frequency of creation of the float restart file 
+   ln_argo    = .false.    !  Argo type floats (stay at the surface each 10 days)
+   ln_flork4  = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
                            !  or computed with Blanke' scheme (F)
 /
Index: unk/DOC/TexFiles/Namelist/namgap
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namgap	(revision 2539)
+++ 	(revision )
@@ -1,6 +1,0 @@
-!-----------------------------------------------------------------------
-&namgap       !   level mean model-data gap                             ('key_diagap')
-!-----------------------------------------------------------------------
-   nn_gap     =  15        !  time-step frequency of model-data gap computation
-   nn_prg     =  10        !  time-step frequency of gap print in model output
-/
Index: /trunk/DOC/TexFiles/Namelist/namhsb
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namhsb	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namhsb	(revision 2540)
@@ -2,4 +2,4 @@
 &namhsb       !  Heat and salt budgets 
 !-----------------------------------------------------------------------
-   ln_diahsb  = .false.     !  check the heat and salt budgets (T) or not (F)
+   ln_diahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
 /
Index: /trunk/DOC/TexFiles/Namelist/namlbc
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namlbc	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namlbc	(revision 2540)
@@ -2,7 +2,5 @@
 &namlbc        !   lateral momentum boundary condition
 !-----------------------------------------------------------------------
-   shlat       =    2.     !      shlat = 0 : free slip
-                           !  0 < shlat < 2 : partial slip
-                           !      shlat = 2 : no slip
-                           !  2 < shlat     : strong slip
+   rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+                           !  free slip  !   partial slip  !   no slip   ! strong slip
 /
Index: /trunk/DOC/TexFiles/Namelist/nammpp
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nammpp	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nammpp	(revision 2540)
@@ -2,5 +2,5 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
 !-----------------------------------------------------------------------
-   cn_mpi_send =  'S'      !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+   cn_mpi_send =  'I'      !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
                            !  buffer blocking send or immediate non-blocking sends, resp.
    nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
Index: /trunk/DOC/TexFiles/Namelist/nammpp_dyndist
===================================================================
--- /trunk/DOC/TexFiles/Namelist/nammpp_dyndist	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/nammpp_dyndist	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namnc4
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namnc4	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namnc4	(revision 2540)
@@ -1,15 +1,11 @@
-!!======================================================================
-!!   namnc4            netcdf4 chunking and compression settings
-!!======================================================================
 !-----------------------------------------------------------------------
-&namnc4         !  netcdf4 chunking and compression settings          ("key_netcdf4")
-                !  (benign if "key_netcdf4" is not used)
+&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
 !-----------------------------------------------------------------------
-   nn_nchunks_i   =   4       !  number of chunks in i-dimension
-   nn_nchunks_j   =   4       !  number of chunks in j-dimension
-   nn_nchunks_k   =   31      !  number of chunks in k-dimension
-                              !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
-                              !  is optimal for postprocessing which works exclusively with horizontal slabs
-   ln_nc4zip      =   .TRUE.  !  (T) use netcdf4 chunking and compression
-                              !  (F) ignore chunking information and produce netcdf3-compatible files
+   nn_nchunks_i=   4       !  number of chunks in i-dimension
+   nn_nchunks_j=   4       !  number of chunks in j-dimension
+   nn_nchunks_k=   31      !  number of chunks in k-dimension
+                           !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
+                           !  is optimal for postprocessing which works exclusively with horizontal slabs
+   ln_nc4zip   = .true.    !  (T) use netcdf4 chunking and compression
+                           !  (F) ignore chunking information and produce netcdf3-compatible files
 /
Index: /trunk/DOC/TexFiles/Namelist/namobc
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namobc	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namobc	(revision 2540)
@@ -2,20 +2,20 @@
 &namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
-    ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
-    ln_obc_fla = .false.   !  Flather open boundary condition 
-    nn_obcdta  =    1      !  = 0 the obc data are equal to the initial state
+   ln_obc_clim = .false.   !  climatological obc data files (T) or not (F)
+   ln_vol_cst  = .true.    !  impose the total volume conservation (T) or not (F)
+   ln_obc_fla  = .false.   !  Flather open boundary condition 
+   nn_obcdta   =    1      !  = 0 the obc data are equal to the initial state
                            !  = 1 the obc data are read in 'obc.dta' files
-    cn_obcdta  = 'annual'  !  set to annual if obc datafile hold 1 year of data
+   cn_obcdta   = 'annual'  !  set to annual if obc datafile hold 1 year of data
                            !  set to monthly if obc datafile hold 1 month of data
-    rn_dpein   =    1.     !  damping time scale for inflow at east  open boundary
-    rn_dpwin   =    1.     !     -           -         -       west    -      -
-    rn_dpnin   =    1.     !     -           -         -       north   -      -
-    rn_dpsin   =    1.     !     -           -         -       south   -      -
-    rn_dpeob   = 3000.     !  time relaxation (days) for the east  open boundary
-    rn_dpwob   =   15.     !     -           -         -     west    -      -
-    rn_dpnob   = 3000.     !     -           -         -     north   -      -
-    rn_dpsob   =   15.     !     -           -         -     south   -      -
-    rn_volemp  =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
+   rn_dpein    =    1.     !  damping time scale for inflow at east  open boundary
+   rn_dpwin    =    1.     !     -           -         -       west    -      -
+   rn_dpnin    =    1.     !     -           -         -       north   -      -
+   rn_dpsin    =    1.     !     -           -         -       south   -      -
+   rn_dpeob    = 3000.     !  time relaxation (days) for the east  open boundary
+   rn_dpwob    =   15.     !     -           -         -     west    -      -
+   rn_dpnob    = 3000.     !     -           -         -     north   -      -
+   rn_dpsob    =   15.     !     -           -         -     south   -      -
+   rn_volemp   =    1.     !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
 /
Index: /trunk/DOC/TexFiles/Namelist/namobs
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namobs	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namobs	(revision 2540)
@@ -1,72 +1,63 @@
 !-----------------------------------------------------------------------
-!       namobs    observation usage switch
+&namobs       !  observation usage switch                               ('key_diaobs')
 !-----------------------------------------------------------------------
-!
-!  ln_t3d                  Logical switch for T profile observations         
-!  ln_s3d                  Logical switch for S profile observations          
-!  ln_ena                  Logical switch for ENACT insitu data set           
-!  ln_cor                  Logical switch for Coriolis insitu data set       
-!  ln_profb                Logical switch for feedback insitu data set     
-!  ln_sla                  Logical switch for SLA observations               
-!  ln_sladt                Logical switch for AVISO SLA data              
-!  ln_slafb                Logical switch for feedback SLA data            
-!  ln_ssh                  Logical switch for SSH observations              
-!  ln_sst                  Logical switch for SST observations              
-!  ln_reysst               Logical switch for Reynolds observations       
-!  ln_ghrsst               Logical switch for GHRSST observations          
-!  ln_sstfb                Logical switch for feedback SST data          
-!  ln_sss                  Logical switch for SSS observations              
-!  ln_seaice               Logical switch for Sea Ice observations        
-!  ln_vel3d                Logical switch for velocity observations         
-!  ln_velavcur             Logical switch for velocity daily av. cur.    
-!  ln_velhrcur             Logical switch for velocity high freq. cur.   
-!  ln_velavadcp            Logical switch for velocity daily av. ADCP  
-!  ln_velhradcp            Logical switch for velocity high freq. ADCP
-!  ln_velfb                Logical switch for feedback velocity data       
-!  ln_grid_global          Global distribtion of observations         
-!  ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
-!  grid_search_file        Grid search lookup file header 
-!  enactfiles              ENACT input observation file names 
-!  coriofiles              Coriolis input observation file name  
-!  profbfiles              Profile feedback input observation file name 
-!  ln_profb_enatim         Enact feedback input time setting switch    
-!  slafilesact             Active SLA input observation file name
-!  slafilespas             Passive SLA input observation file name 
-!  slafbfiles              Feedback SLA input observation file name 
-!  sstfiles                GHRSST input observation file name       
-!  sstfbfiles              Feedback SST input observation file name 
-!  seaicefiles             Sea Ice input observation file name 
-!  velavcurfiles           Vel. cur. daily av. input file name  
-!  velhvcurfiles           Vel. cur. high freq. input file name  
-!  velavadcpfiles          Vel. ADCP daily av. input file name    
-!  velhvadcpfiles          Vel. ADCP high freq. input file name 
-!  velfbfiles              Vel. feedback input observation file name 
-!  dobsini                 Initial date in window YYYYMMDD.HHMMSS       
-!  dobsend                 Final date in window YYYYMMDD.HHMMSS         
-!  n1dint                  Type of vertical interpolation method        
-!  n2dint                  Type of horizontal interpolation method       
-!  ln_nea                  Rejection of observations near land switch    
-!  nmsshc                  MSSH correction scheme                         
-!  mdtcorr                 MDT  correction                               
-!  mdtcutoff               MDT cutoff for computed correction          
-!  ln_altbias              Logical switch for alt bias                
-!  ln_ignmis               Logical switch for ignoring missing files   
-!  endailyavtypes          ENACT daily average types                    
- &namobs
-   ln_t3d = .true.
-   ln_s3d = .true.
-   ln_ena = .false.
-   ln_profb = .true.
-   ln_sla = .true.
-   ln_sladt = .false.
-   ln_slafb = .true.
-   ln_sst = .true.
-   ln_sstfb = .true.
+   ln_t3d     = .false.    ! Logical switch for T profile observations         
+   ln_s3d     = .false.    ! Logical switch for S profile observations          
+   ln_ena     = .false.    ! Logical switch for ENACT insitu data set           
+   !                       !     ln_cor                  Logical switch for Coriolis insitu data set       
+   ln_profb   = .false.    ! Logical switch for feedback insitu data set     
+   ln_sla     = .false.    ! Logical switch for SLA observations               
+
+   ln_sladt   = .false.    ! Logical switch for AVISO SLA data              
+
+   ln_slafb   = .false.    ! Logical switch for feedback SLA data            
+                           !     ln_ssh                  Logical switch for SSH observations              
+
+   ln_sst     = .false.    ! Logical switch for SST observations              
+                           !     ln_reysst               Logical switch for Reynolds observations       
+                           !     ln_ghrsst               Logical switch for GHRSST observations          
+
+   ln_sstfb   = .false.    ! Logical switch for feedback SST data          
+                           !     ln_sss                  Logical switch for SSS observations              
+                           !     ln_seaice               Logical switch for Sea Ice observations        
+                           !     ln_vel3d                Logical switch for velocity observations         
+                           !     ln_velavcur             Logical switch for velocity daily av. cur.    
+                           !     ln_velhrcur             Logical switch for velocity high freq. cur.   
+                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP  
+                           !     ln_velhradcp            Logical switch for velocity high freq. ADCP
+                           !     ln_velfb                Logical switch for feedback velocity data       
+                           !     ln_grid_global          Global distribtion of observations         
+                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
+                           !     grid_search_file        Grid search lookup file header 
+                           !     enactfiles              ENACT input observation file names 
+                           !     coriofiles              Coriolis input observation file name  
+   !                       ! profbfiles: Profile feedback input observation file name 
    profbfiles = 'profiles_01.nc'
+                           !     ln_profb_enatim         Enact feedback input time setting switch    
+                           !     slafilesact             Active SLA input observation file name
+                           !     slafilespas             Passive SLA input observation file name 
+   !                       ! slafbfiles: Feedback SLA input observation file name 
    slafbfiles = 'sla_01.nc'
+                           !     sstfiles                GHRSST input observation file name       
+   !                       ! sstfbfiles: Feedback SST input observation file name 
    sstfbfiles = 'sst_01.nc' 'sst_02.nc' 'sst_03.nc' 'sst_04.nc' 'sst_05.nc'
-   ln_altbias = .false.
+                           !     seaicefiles             Sea Ice input observation file name 
+                           !     velavcurfiles           Vel. cur. daily av. input file name  
+                           !     velhvcurfiles           Vel. cur. high freq. input file name  
+                           !     velavadcpfiles          Vel. ADCP daily av. input file name    
+                           !     velhvadcpfiles          Vel. ADCP high freq. input file name 
+                           !     velfbfiles              Vel. feedback input observation file name 
+                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS       
+                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS         
+                           !     n1dint                  Type of vertical interpolation method        
+                           !     n2dint                  Type of horizontal interpolation method       
+                           !     ln_nea                  Rejection of observations near land switch    
+   nmsshc     = 0          ! MSSH correction scheme                         
+                           !     mdtcorr                 MDT  correction                               
+                           !     mdtcutoff               MDT cutoff for computed correction          
+   ln_altbias = .false.    ! Logical switch for alt bias                
+   ln_ignmis  = .true.     ! Logical switch for ignoring missing files   
+                           !     endailyavtypes   ENACT daily average types                    
    ln_grid_global = .true.
-   ln_grid_search_lookup = .true.
-   ln_ignmis = .true.  
+   ln_grid_search_lookup = .false.
 / 
Index: /trunk/DOC/TexFiles/Namelist/namptr
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namptr	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namptr	(revision 2540)
@@ -2,5 +2,5 @@
 &namptr       !   Poleward Transport Diagnostic
 !-----------------------------------------------------------------------
-   ln_diaptr  = .false.     !  Poleward heat and salt transport (T) or not (F)
+   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
    ln_diaznl  = .true.     !  Add zonal means and meridional stream functions
    ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not 
Index: /trunk/DOC/TexFiles/Namelist/namrun
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namrun	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namrun	(revision 2540)
@@ -5,19 +5,19 @@
    cn_exp      =  "ORCA2"  !  experience name 
    nn_it000    =       1   !  first time step
-   nn_itend    =     315   !  last  time step (std 5475)
-   nn_date0    =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
+                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
+                               !                  = 2 calendar parameters read in the restart file
+   cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
+   cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
    nn_istate   =       0   !  output the initial state (1) or not (0)
    nn_stock    =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nit000)
+   nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nn_it000)
    ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
    ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
    ln_clobber  = .false.   !  clobber (overwrite) an existing file
-   nn_chunksz  =       0   !  chunksize (bytes) for NetCDF file (working only with iom_nf90 routines)
-   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nit000 is not compared to the restart file value
-                               !                  = 1 use ndate0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
-   cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
-   cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
+   nn_chunksz  =       0   !  chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc	(revision 2540)
@@ -3,21 +3,20 @@
 !-----------------------------------------------------------------------
    nn_fsbc     = 5         !  frequency of surface boundary condition computation 
-                           !               (= the frequency of sea-ice model call)
+                           !     (also = the frequency of sea-ice model call)
    ln_ana      = .false.   !  analytical formulation                    (T => fill namsbc_ana ) 
    ln_flx      = .false.   !  flux formulation                          (T => fill namsbc_flx )
-   ln_blk_clio = .true.    !  CLIO bulk formulation                     (T => fill namsbc_clio) 
-   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core) 
+   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio) 
+   ln_blk_core = .true.    !  CORE bulk formulation                     (T => fill namsbc_core) 
    ln_cpl      = .false.   !  Coupled formulation                       (T => fill namsbc_cpl )
-   ln_apr_blk  = .false.   !  Patm used in bulk formulation             (T => fill namsbc_apr )
    ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
    nn_ice      = 2         !  =0 no ice boundary condition   ,
                            !  =1 use observed ice-cover      ,
                            !  =2 ice-model used                         ("key_lim3" or "key_lim2)
-   ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
+   ln_dm2dc    = .false.   !  daily mean to diurnal cycle on short wave
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
    nn_fwb      = 3         !  FreshWater Budget: =0 unchecked 
-                           !                     =1 set to zero at each time step 
-                           !                     =2 set to zero in annual mean
-                           !                     =3 as in case 1 but spread out over erp area
+                           !     =1 global mean of e-p-r set to zero at each time step 
+                           !     =2 annual global mean of e-p-r set to zero
+                           !     =3 global emp set to zero and spread out over erp area
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc_alb
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_alb	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_alb	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namsbc_ana
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_ana	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_ana	(revision 2540)
@@ -5,5 +5,5 @@
    rn_utau0    =   0.5     !  uniform value for the i-stress
    rn_vtau0    =   0.e0    !  uniform value for the j-stress
-   rn_q0       =   0.e0    !  uniform value for the total heat flux
+   rn_qns0     =   0.e0    !  uniform value for the total heat flux
    rn_qsr0     =   0.e0    !  uniform value for the solar radiation
    rn_emp0     =   0.e0    !  uniform value for the freswater budget (E-P)
Index: /trunk/DOC/TexFiles/Namelist/namsbc_apr
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_apr	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_apr	(revision 2540)
@@ -4,6 +4,6 @@
 !              ! file name ! frequency (hours) ! variable ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !           !  (if <0  months)  !   name   !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_apr      = 'patm'    ,         24        , 'patm'   ,    .true.      , .true.  , 'yearly'  ,  ''      ,   ''
-!
+   sn_apr      = 'patm'    ,         -1        ,'somslpre',    .true.      , .true.  , 'yearly'  ,  ''      ,   ''
+
    cn_dir      = './'      !  root directory for the location of the bulk files
    ln_ref_apr  = .false.   !  ref. pressure: global mean Patm (T) or a constant (F)
Index: /trunk/DOC/TexFiles/Namelist/namsbc_clio
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_clio	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_clio	(revision 2540)
@@ -2,14 +2,14 @@
 &namsbc_clio   !   namsbc_clio  CLIO bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_utau     = 'taux_1m'    ,       -1.         , 'sozotaux' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_vtau     = 'tauy_1m'    ,       -1.         , 'sometauy' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_wndm     = 'flx'        ,       -1.         , 'socliowi' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_tair     = 'flx'        ,       -1.         , 'socliot2' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_humi     = 'flx'        ,       -1.         , 'socliohu' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_ccov     = 'flx'        ,       -1.         , 'socliocl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_prec     = 'flx'        ,       -1.         , 'socliopl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-!
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'taux_1m'   ,       -1          , 'sozotaux',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_vtau     = 'tauy_1m'   ,       -1          , 'sometauy',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_wndm     = 'flx'       ,       -1          , 'socliowi',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_tair     = 'flx'       ,       -1          , 'socliot2',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_humi     = 'flx'       ,       -1          , 'socliohu',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_ccov     = 'flx'       ,       -1          , 'socliocl',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_prec     = 'flx'       ,       -1          , 'socliopl',   .false.    , .true. , 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the bulk files are
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc_core
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_core	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_core	(revision 2540)
@@ -2,17 +2,19 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
-   sn_wndi     = 'u10_core'   ,       -1.         , 'u10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'U1'
-   sn_wndj     = 'v10_core'   ,       -1.         , 'v10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'V1'
-   sn_qsr      = 'qsw_core'   ,       -1.         , 'swdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_qlw      = 'qlw_core'   ,       -1.         , 'lwdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_tair     = 't2_core'    ,       -1.         , 't2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_humi     = 'q2_core'    ,       -1.         , 'q2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_prec     = 'precip_core',       -1.         , 'precip'   ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-   sn_snow     = 'snow_core'  ,       -1.         , 'snow'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
-!
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_wndi = 'u_10.15JUNE2009_orca2'       ,  6  , 'U_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Uwnd'
+   sn_wndj = 'v_10.15JUNE2009_orca2'       ,  6  , 'V_10_MOD',   .false.    , .true. , 'yearly'  , ''       , 'Vwnd'
+   sn_qsr  = 'ncar_rad.15JUNE2009_orca2'   , 24  , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_qlw  = 'ncar_rad.15JUNE2009_orca2'   , 24  , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_tair = 't_10.15JUNE2009_orca2'       ,  6  , 'T_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_humi = 'q_10.15JUNE2009_orca2'       ,  6  , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_prec = 'ncar_precip.15JUNE2009_orca2', -1  , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_snow = 'ncar_precip.15JUNE2009_orca2', -1  , 'SNOW'    ,   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_tdif = 'taudif_core'                 , 24  , 'taudif'  ,   .false.    , .true. , 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_2m       = .true.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   ln_2m       = .false.   !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
    rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc_cpl
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_cpl	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_cpl	(revision 2540)
@@ -1,24 +1,25 @@
 !-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
+&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_coupled")
 !-----------------------------------------------------------------------
-                                       ! send
-cn_snd_temperature= 'weighted oce and ice'  ! 'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_albedo     = 'weighted ice'          ! 'none' 'weighted ice' 'mixed oce-ice'
-cn_snd_thickness  = 'none'                  ! 'none' 'weighted ice and snow'
-cn_snd_crt_nature = 'none'                  ! 'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_crt_refere = 'spherical'             ! 'spherical' 'cartesian'
-cn_snd_crt_orient = 'eastward-northward'    ! 'eastward-northward' or 'local grid'
-cn_snd_crt_grid   = 'T'                     ! 'T'
-                                       ! receive
-cn_rcv_w10m       = 'coupled'               ! 'none' 'coupled'
-cn_rcv_tau_nature = 'oce only'              ! 'oce only' 'oce and ice' 'mixed oce-ice'
-cn_rcv_tau_refere = 'cartesian'             ! 'spherical' 'cartesian'
-cn_rcv_tau_orient = 'eastward-northward'    ! 'eastward-northward' or 'local grid'
-cn_rcv_tau_grid   = 'U,V'                   ! 'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
-cn_rcv_dqnsdt     = 'coupled'               ! 'none' 'coupled'
-cn_rcv_qsr        = 'oce and ice'           ! 'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_qns        = 'oce and ice'           ! 'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_emp        = 'conservative'          ! 'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_rnf        = 'coupled'               ! 'coupled' 'climato' 'mixed'
-cn_rcv_cal        = 'coupled'               ! 'none' 'coupled'
+!                                      ! send
+cn_snd_temperature= 'weighted oce and ice'  !  'oce only' 'weighted oce and ice' 'mixed oce-ice'
+cn_snd_albedo     = 'weighted ice'          !  'none' 'weighted ice' 'mixed oce-ice'
+cn_snd_thickness  = 'none'                  !  'none' 'weighted ice and snow'
+cn_snd_crt_nature = 'none'                  !  'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
+cn_snd_crt_refere = 'spherical'             !  'spherical' 'cartesian'
+cn_snd_crt_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
+cn_snd_crt_grid   = 'T'                     !  'T'
+!                                      ! receive
+cn_rcv_w10m       = 'none'                  !  'none' 'coupled'
+cn_rcv_taumod     = 'coupled'               !  'none' 'coupled'
+cn_rcv_tau_nature = 'oce only'              !  'oce only' 'oce and ice' 'mixed oce-ice'
+cn_rcv_tau_refere = 'cartesian'             !  'spherical' 'cartesian'
+cn_rcv_tau_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
+cn_rcv_tau_grid   = 'U,V'                   !  'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
+cn_rcv_dqnsdt     = 'coupled'               !  'none' 'coupled'
+cn_rcv_qsr        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_qns        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_emp        = 'conservative'          !  'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_rnf        = 'coupled'               !  'coupled' 'climato' 'mixed'
+cn_rcv_cal        = 'coupled'               !  'none' 'coupled'
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc_cpl_co2
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_cpl_co2	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_cpl_co2	(revision 2540)
@@ -1,6 +1,6 @@
 !-----------------------------------------------------------------------
-&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model            ("key_cpl_carbon_cycle")
+&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model             ("key_cpl_carbon_cycle")
 !-----------------------------------------------------------------------
-cn_snd_co2        = 'coupled'         ! send    :  'none' 'coupled'
-cn_rcv_co2        = 'coupled'         ! receive : 'none' 'coupled'
+   cn_snd_co2     = 'coupled'         ! send    : 'none' 'coupled'
+   cn_rcv_co2     = 'coupled'         ! receive : 'none' 'coupled'
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc_flx
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_flx	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_flx	(revision 2540)
@@ -2,12 +2,12 @@
 &namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_utau     = 'utau'       ,        24.        ,    'utau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_vtau     = 'vtau'       ,        24.        ,    'vtau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_qtot     = 'qtot'       ,        24.        ,    'qtot'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_qsr      = 'qsr'        ,        24.        ,    'qsr'   ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_emp      = 'emp'        ,        24.        ,    'emp'   ,     .false.    , .false. , 'yearly'  , ''       , ''
-!
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'utau'      ,        24         , 'utau'    , .false.      , .false., 'yearly'  , ''       , ''
+   sn_vtau     = 'vtau'      ,        24         , 'vtau'    , .false.      , .false., 'yearly'  , ''       , ''
+   sn_qtot     = 'qtot'      ,        24         , 'qtot'    , .false.      , .false., 'yearly'  , ''       , ''
+   sn_qsr      = 'qsr'       ,        24         , 'qsr'     , .false.      , .false., 'yearly'  , ''       , ''
+   sn_emp      = 'emp'       ,        24         , 'emp'     , .false.      , .false., 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the flux files
 /      
Index: /trunk/DOC/TexFiles/Namelist/namsbc_rnf
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_rnf	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_rnf	(revision 2540)
@@ -2,20 +2,20 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!               !   file name        ! frequency (h)   ! variable   ! time interp. !  clim  ! starting !
-!               !                    ! (if <0  months) !   name     !  (logical)   !  (0/1) !  record  !
-   sn_rnf     = 'runoff_1m_nomask.nc',      -12.       , 'sorunoff' ,   .true.     ,    1   ,    0     , ''   , ''
-   sn_cnf     = 'runoff_1m_nomask.nc',        0.       , 'socoefr'  ,   .false.    ,    1   ,    0     , ''   , ''
-   sn_s_rnf   = 'runoffs'            ,  24             , 'rosaline' ,   .true.     , .true. ,  'yearly', ''   , ''
-   sn_t_rnf   = 'runoffs'            ,  24             , 'rotemper' ,   .true.     , .true. ,  'yearly', ''   , ''
-   sn_dep_rnf = 'runoffs'            ,   0             , 'rodepth'  ,   .false.    , .true. ,  'yearly', ''   , ''
-!
-   cn_dir       = './'      ! directory in which the model is executed
-   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
-   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
-   rn_hrnf      =   15.e0   !  depth over which enhanced vertical mixing is used
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_rnf      = 'runoff_core_monthly',    -1    , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_cnf      = 'runoff_core_monthly',     0    , 'socoefr0',   .false.    , .true. , 'yearly'  , ''       , ''
+   sn_s_rnf    = 'runoffs'            ,    24    , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_t_rnf    = 'runoffs'            ,    24    , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''
+   sn_dep_rnf  = 'runoffs'            ,     0    , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''
+
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   = .false.   !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth = .true.    !  specific treatment at rivers mouths
+   rn_hrnf      =  15.e0    !  depth over which enhanced vertical mixing is used
    rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
    rn_rfact     =   1.e0    !  multiplicative factor for runoff
-   ln_rnf_depth =  .false.  !  read in depth information for runoff
-   ln_rnf_temp  =  .false.  !  read in temperature information for runoff
-   ln_rnf_sal   =  .false.  !  read in salinity information for runoff
+   ln_rnf_depth = .false.   !  read in depth information for runoff
+   ln_rnf_tem   = .false.   !  read in temperature information for runoff
+   ln_rnf_sal   = .false.   !  read in salinity information for runoff
 /
Index: /trunk/DOC/TexFiles/Namelist/namsbc_ssr
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsbc_ssr	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsbc_ssr	(revision 2540)
@@ -2,9 +2,9 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_sst      = 'sst_data'   ,        24.        ,  'sst'     ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_sss      = 'sss_data'   ,        -1.        ,  'sss'     ,     .true.     , .true.  , 'yearly'  , ''       , ''
-    
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_sst      = 'sst_data'  ,        24         ,  'sst'    ,    .false.   , .false., 'yearly'  , ''       , ''
+   sn_sss      = 'sss_data'  ,        -1         ,  'sss'    ,    .true.    , .true. , 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the runoff files
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
@@ -12,6 +12,6 @@
                            !  or to SSS only (=1) or no damping term (=0)
    rn_dqdt     =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
-   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day]
    ln_sssr_bnd =   .true.  !  flag to bound erp term (associated with nn_sssr=2)
    rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
-/
+/      
Index: /trunk/DOC/TexFiles/Namelist/namsol
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namsol	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namsol	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namtra_adv
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namtra_adv	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namtra_adv	(revision 2540)
@@ -7,3 +7,4 @@
    ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
+   ln_traadv_qck    =  .false.  !  QUCIKEST scheme                 
 /
Index: /trunk/DOC/TexFiles/Namelist/namtra_bbc
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namtra_bbc	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namtra_bbc	(revision 2540)
@@ -1,8 +1,9 @@
 !-----------------------------------------------------------------------
-&namtra_bbc    !   bottom temperature boundary condition
+&nambbc        !   bottom temperature boundary condition
 !-----------------------------------------------------------------------
-   ln_trabbc     = .true.      !  Apply a geothermal heating at the ocean bottom
-   nn_geoflux    =  2          ! constant (=1) or variable (=2) geothermal heat flux
-                               ! (=2  input file: geothermal_heating.nc ; units mW/m2) 
-   rn_geoflx_cst = 86.4e-3_wp  !  Constant value of geothermal heat flux (W/m2)
+   ln_trabbc   = .true.    !  Apply a geothermal heating at the ocean bottom
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux 
+                           !     = 1 constant flux
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
 /
Index: /trunk/DOC/TexFiles/Namelist/namtra_dmp
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namtra_dmp	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namtra_dmp	(revision 2540)
@@ -11,4 +11,4 @@
    rn_bot      =  360.     !  bottom  time scale of damping   [days]
    rn_dep      =  800.     !  depth of transition between rn_surf and rn_bot [meters]
-   nn_file     =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nn_file     =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
 /
Index: /trunk/DOC/TexFiles/Namelist/namtra_ldf
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namtra_ldf	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namtra_ldf	(revision 2540)
@@ -2,14 +2,16 @@
 &namtra_ldf    !   lateral diffusion scheme for tracer 
 !-----------------------------------------------------------------------
-                           !  Type of the operator : 
-   ln_traldf_lap    =  .true.   !     laplacian operator       
-   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
-                           !  Direction of action  :
-   ln_traldf_level  =  .false.  !     iso-level                
-   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
-   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
-                           !  Coefficient
-   rn_aht_0         =  2000.    !     horizontal eddy diffusivity for tracers [m2/s]
-   rn_ahtb_0        =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
-   rn_aeiv_0        =  2000.    !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+   !                       !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !  laplacian operator       
+   ln_traldf_bilap  =  .false.  !  bilaplacian operator     
+   !                       !  Direction of action  :
+   ln_traldf_level  =  .false.  !  iso-level                
+   ln_traldf_hor    =  .false.  !  horizontal (geopotential)            (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !  iso-neutral                          (require "key_ldfslp")
+   ln_traldf_grif   =  .false.  !  griffies skew flux formulation       (require "key_ldfslp")  ! UNDER TEST, DO NOT USE
+   ln_traldf_gdia   =  .false.  !  griffies operator strfn diagnostics  (require "key_ldfslp")  ! UNDER TEST, DO NOT USE
+   !                       !  Coefficient
+   rn_aht_0         =  2000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtb_0        =     0.    !  background eddy diffusivity for ldf_iso [m2/s]
+   rn_aeiv_0        =  2000.    !  eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
 /
Index: /trunk/DOC/TexFiles/Namelist/namtra_qsr
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namtra_qsr	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namtra_qsr	(revision 2540)
@@ -2,8 +2,8 @@
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
-!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
-!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_chl      = 'chlorophyll',        -1.        , 'CHLA'     ,    .true.      , .true.  , 'yearly'  , ''       , ''
- 
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_chl      ='chlorophyll',        -1         , 'CHLA'    ,   .true.     , .true. , 'yearly'  , ''       , ''
+
    cn_dir      = './'      !  root directory for the location of the runoff files
    ln_traqsr   = .true.    !  Light penetration (T) or not (F)
@@ -11,8 +11,7 @@
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
    ln_qsr_bio  = .false.   !  bio-model light penetration
-   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      1    !  RGB : Chl data (=1) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
    rn_si1      =   23.0    !  2 bands: longest depth of extinction
-   rn_si2      =   62.0    !  3 bands: longest depth of extinction (for blue waveband & 0.01 mg/m2 Chl)
 /
Index: /trunk/DOC/TexFiles/Namelist/namtrd
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namtrd	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namtrd	(revision 2540)
@@ -1,5 +1,5 @@
 !-----------------------------------------------------------------------
 &namtrd        !   diagnostics on dynamics and/or tracer trends         ("key_trddyn" and/or "key_trdtra")
-!              !       or mixed-layer trends or barotropic vorticity    ('key_trdmld' or  "key_trdvor")
+!              !       or mixed-layer trends or barotropic vorticity    ("key_trdmld" or     "key_trdvor")
 !-----------------------------------------------------------------------
    nn_trd      = 365       !  time step frequency dynamics and tracers trends
Index: /trunk/DOC/TexFiles/Namelist/namzdf
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf	(revision 2540)
@@ -9,5 +9,5 @@
    nn_evdm     =    0      !  evd apply on tracer (=0) or on tracer and momentum (=1)
    rn_avevd    =  100.     !  evd mixing coefficient [m2/s]
-   ln_zdfnpc   = .false.   !  Non-Penetrative algorithm (T) or not (F)
+   ln_zdfnpc   = .false.   !  Non-Penetrative Convective algorithm (T) or not (F)
    nn_npc      =    1            !  frequency of application of npc
    nn_npcp     =  365            !  npc control print frequency
Index: /trunk/DOC/TexFiles/Namelist/namzdf_ddm
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf_ddm	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf_ddm	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namzdf_gls
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf_gls	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf_gls	(revision 2540)
@@ -10,9 +10,9 @@
    rn_crban      = 100.    !  Craig and Banner 1994 constant for wb tke flux
    rn_charn      = 70000.  !  Charnock constant for wb induced roughness length
-   nn_tkebc_surf = 1       !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
-   nn_tkebc_bot  = 1       !  bottom tke condition (0/1=Dir/Neum)
-   nn_psibc_surf = 1       !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
-   nn_psibc_bot  = 1       !  bottom psi condition (0/1=Dir/Neum)
-   nn_stab_func  = 2       !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
-   nn_clos       = 1       !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
+   nn_tkebc_surf =   1     !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_tkebc_bot  =   1     !  bottom tke condition (0/1=Dir/Neum)
+   nn_psibc_surf =   1     !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_psibc_bot  =   1     !  bottom psi condition (0/1=Dir/Neum)
+   nn_stab_func  =   2     !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
+   nn_clos       =   1     !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
 /
Index: /trunk/DOC/TexFiles/Namelist/namzdf_kpp
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf_kpp	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf_kpp	(revision 2540)
@@ -1,4 +1,4 @@
 !------------------------------------------------------------------------
-&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionally:
 !------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
    ln_kpprimix = .true.    !  shear instability mixing 
Index: /trunk/DOC/TexFiles/Namelist/namzdf_ric
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf_ric	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf_ric	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namzdf_tke
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf_tke	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf_tke	(revision 2540)
@@ -16,5 +16,5 @@
    ln_lc       = .true.    !  Langmuir cell parameterisation (Axell 2002)
    rn_lc       =   0.15    !  coef. associated to Langmuir cells
-   nn_etau     =   0       !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
+   nn_etau     =   1       !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
                            !        = 0 no penetration
                            !        = 1 add a tke source below the ML
Index: /trunk/DOC/TexFiles/Namelist/namzdf_tmx
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzdf_tmx	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzdf_tmx	(revision 2540)
@@ -6,5 +6,5 @@
    rn_tfe      = 0.333     !  tidal dissipation efficiency
    rn_me       = 0.2       !  mixing efficiency 
-   ln_tmx_itf  = .FALSE.   !  ITF specific parameterisation
+   ln_tmx_itf  = .true.    !  ITF specific parameterisation
    rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
 /
Index: /trunk/DOC/TexFiles/Namelist/namzgr
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzgr	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzgr	(revision 2540)
Index: /trunk/DOC/TexFiles/Namelist/namzgr_sco
===================================================================
--- /trunk/DOC/TexFiles/Namelist/namzgr_sco	(revision 2539)
+++ /trunk/DOC/TexFiles/Namelist/namzgr_sco	(revision 2540)
@@ -4,7 +4,7 @@
    rn_sbot_min =  300.     !  minimum depth of s-bottom surface (>0) (m)
    rn_sbot_max = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
-   rn_theta    =    6.0    !  surface control parameter (0<=theta<=20)
-   rn_thetb    =    0.75   !  bottom control parameter  (0<=thetb<= 1)
-   rn_rmax     =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+   rn_theta    =    6.0    !  surface control parameter (0<=rn_theta<=20)
+   rn_thetb    =    0.75   !  bottom control parameter  (0<=rn_thetb<= 1)
+   rn_rmax     =    0.15   !  maximum cut-off r-value allowed (0<rn_max<1)
    ln_s_sigma  = .false.   !  hybrid s-sigma coordinates
    rn_bb       =    0.8    !  stretching with s-sigma
